# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "nacos-rs-sdk"
version = "0.1.2"
authors = ["sohunjug <sohunjug@hotmail.com>"]
exclude = ["target"]
include = ["src/**/*", "Cargo.toml", "LICENSE", "README.md"]
description = "Nacos SDK - Rust Client"
readme = "README.md"
keywords = ["nacos", "nacos-api", "nacos-rs", "nacos-sdk", "nacos-rs-sdk"]
license = "Apache-2.0"
repository = "https://github.com/sohunjug/nacso-rs-sdk.git"
[dependencies.async-trait]
version = "0.1.50"

[dependencies.lazy_static]
version = "1.4.0"

[dependencies.md5]
version = "0.7.0"

[dependencies.nacos-rs-sdk-macro]
version = "0.2.2"

[dependencies.rand]
version = "0.8.3"

[dependencies.reqwest]
version = "0.11"
features = ["json"]

[dependencies.serde]
version = "1.0.126"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.64"

[dependencies.tokio]
version = "1"
features = ["full"]
